.\"	$NetBSD: curses_termcap.3,v 1.3 2003/02/14 16:29:12 grant Exp $
.\"
.\" Copyright (c) 2002
.\"	Brett Lymn (blymn@NetBSD.org, brett_lymn@yahoo.com.au)
.\"
.\" This code is donated to the NetBSD Foundation by the Author.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the Author may not be used to endorse or promote
.\"    products derived from this software without specific prior written
.\"    permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"
.Dd August 12, 2002
.Dt CURSES_TERMCAP 3
.Os
.Sh NAME
.Nm curses_termcap ,
.Nm fullname ,
.Nm getcap ,
.Nm longname
.Nd curses termcap querying routines
.Sh LIBRARY
.Lb libcurses
.Sh SYNOPSIS
.In curses.h
.Ft char *
.Fn fullname "char *termbuf" "char *name"
.Ft char *
.Fn getcap "char *name"
.Ft char *
.Fn longname "void"
.Sh DESCRIPTION
The
.Fn fullname
function takes the termcap entry in
.Fa termbuf
and copies the full name of the terminal from the entry into the
target variable
.Fa name .
The full name of the terminal is assumed to be the last alias in the
termcap entry name.
It is assumed that the
.Fa name
variable has sufficient storage to hold the full name of the terminal.
.Pp
A termcap entry can be retrieved by calling the
.Fn getcap
function with the name of the capability in
.Fa name .
The matching capability string for the terminal is returned.
.Pp
The
.Fn longname
function returns a verbose description of the terminal which is taken
from the last name alias in the termcap description for the terminal.
This string will be at most 128 characters long and will only be
defined after a call to
.Fn initscr
or
.Fn newterm .
.Sh RETURN VALUES
Functions returning pointers will return
.Dv NULL
if an error is detected.
The functions that return an int will return one of the following
values:
.Pp
.Bl -tag -width ERR -compact
.It Er OK
The function completed successfully.
.It Er ERR
An error occurred in the function.
.El
.Sh SEE ALSO
.Xr termcap 5
.Sh STANDARDS
The
.Lb libcurses
library complies with the X/Open Curses specification, part of the
Single Unix Specification.
.Sh HISTORY
The Curses package appeared in
.Bx 4.0 .
